public class Strom {

  private static final Barva BARVA_KMENE = Barva.HNEDA;
  private static final Barva IMPL_BARVA_KORUNY = Barva.ZELENA;
  private static final Barva BARVA_PODZIMU = Barva.ZLUTA;
  private final Elipsa koruna;
  private final Obdelnik kmen;
  private int x;

  public Strom() {
    this(0, 0);
  }

  public Strom(int x, int y) {
    this(x, y, IMPL_BARVA_KORUNY);
  }

  public Strom(int x, int y, Barva barvaKoruny) {
    koruna = new Elipsa(x, y, 100, 100, barvaKoruny);
    kmen = new Obdelnik(x + 45, y + 100, 10, 50, Barva.HNEDA);
    this.x = x;
  }
}