/**************************************************************
 * Instance výčtového typu {@code SvetoveStrany} představují 
 * světové strany a jejich odpovídající směry na mapě
 *
 * @author    Pavel Herout
 * @version   2.00.000
 */
public enum SvetoveStrany {

//== HODNOTY VÝČTOVÉHO TYPU ==================================
   SEVER("nahoru"), VYCHOD("doprava"), JIH("dolů"), ZAPAD("doleva");

//== KONSTANTNÍ ATRIBUTY INSTANCÍ ============================
   private final String smer;
   
//############################################################
//== KONSTRUKTORY A TOVÁRNÍ METODY ===========================
  /**
   * privátní konstruktor
   */
  private SvetoveStrany(String smer) {
    this.smer = smer;
  }

//== OSTATNÍ NESOUKROMÉ METODY INSTANCÍ =======================
  public String smerPohledu() {
    return "Když se na mapě dívám na " +
           name() +
           ", dívám se směrem " + smer;
  }
  
//== TESTOVACÍ METODY A TŘÍDY =================================
  public static void main(String[] args) { 
    System.out.println(SvetoveStrany.JIH.smerPohledu());
  }
}
