/***************************************************************
 * Instance třídy {@code ImplementujiciTrida} představují ukázkové
 * implementace rozhraní
 *
 * @author    jméno autora
 * @version   0.00.000
 */
public class ImplementujiciTrida implements IUkazkaRozhrani {

  private static int pocet = 0;
  private final int PORADI = ++pocet;

 /**
  * Vypíše na konzoli svůj stav
  */
  @Override
  public void vypis() {
    System.out.println(this.toString());
  }
  
  public void ahoj() {
    System.out.println("Ahoj");
  }

  @Override
  public String toString() {
    return "Jsem " + PORADI + ". instance třídy " +
           this.getClass().getSimpleName();
  }
}
