
/****************************************************************
 * Instance rozhraní {@code IMeritelny} představují objekty
 * schopné vrátit své rozměry buď jako šírku a výšku nebo
 * jako instanci Přepravky Rozmer
 *
 * @author    Pavel Herout
 * @version   1.00.000
 */
public interface IMeritelny {

//== DEKLAROVANÉ METODY =========================================
  /***************************************************************************
   * Vrátí výšku instance
   *
   * @return  Výška instance v bodech
   */
//   @Override
  public int getVyska();

  /***************************************************************************
   * Vrátí šířku instance
   *
   * @return  Šířka instance v bodech
   */
//   @Override
  public int getSirka();
  
  /**
   * Vrati rozmer instance
   */
//   @Override
  public Rozmer getRozmer();
}
