/*******************************************************************************
 * Instance rozhraní {@code INafukovací} představují geometrické tvary,
 * které umějí prozradit a nastavit svoje rozměry.
 *
 * @author  Rudolf PECINOVSKÝ
 * @version 1.09.2629 — 2011-01-03
 */
public interface INafukovaci extends IKresleny
{
//== VEŘEJNÉ KONSTANTY =========================================================
//== DEKLAROVANÉ METODY ========================================================

    /***************************************************************************
     * Vrátí instanci třídy {@code Rozměr} s aktuálními rozměry instance.
     *
     * @return   Instance třídy {@code Rozměr} s aktuálními rozměry instance
     */
//     @Override
     public Rozmer getRozmer();


    /***************************************************************************
     * Nastaví nové rozměry instance.
     *
     * @param rozměr  Nově nastavovaný rozměr
     */
//     @Override
    public void setRozmer(Rozmer rozmer);


    /***************************************************************************
     * Nastaví nové rozměry instance. Nastavované rozměry musí být nezáporné,
     * místo nulového rozměru se nastaví rozměr rovný jedné.
     *
     * @param šířka    Nově nastavovaná šířka; šířka >= 0
     * @param výška    Nově nastavovaná výška; výška >= 0
     */
//     @Override
    public void setRozmer(int sirka, int vyska);



//== ZDĚDĚNÉ METODY ============================================================
//== INTERNÍ DATOVÉ TYPY =======================================================
}
