/* Soubor je ulozen v kodovani UTF-8.
 * Kontrola kódování: Příliš žluťoučký kůň úpěl ďábelské ódy. */


import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;


/*******************************************************************************
 * Testovací třída {@code StromTest} slouží ke komplexnímu otestování
 * třídy {@link StromTest}.
 *
 * @author    jméno autora
 * @version   0.00.000
 */
public class StromTest
{
  private static final SpravcePlatna SP = SpravcePlatna.getInstance();


    /***************************************************************************
     * Inicializace předcházející spuštění každého testu a připravující tzv.
     * přípravek (fixture), což je sada objektů, s nimiž budou testy pracovat.
     */
    @Before
    public void setUp()
    {
    }


    /***************************************************************************
     * Úklid po testu - tato metoda se spustí po vykonání každého testu.
     */
    @After
    public void tearDown()
    {
    }


  @Test
  public void testProhodPozice() {
    Strom zelenyStrom = new Strom();
    Strom zlutyStrom = new Strom(150, 150, Barva.ZLUTA);
	zelenyStrom.zobraz();
	zlutyStrom.zobraz();
    IO.zprava("Stromy vytvořeny");
    Presouvac presRychl_5 = new Presouvac(5);
    Pozice pStrom1 = zelenyStrom.getPozice();
    Pozice pStrom2 = zlutyStrom.getPozice();
    presRychl_5.presunNa(pStrom2, zelenyStrom);
    presRychl_5.presunNa(pStrom1, zlutyStrom);
  }
  
  @Test
  public void testPresouvani() {
    Strom stromA = new Strom(100, 100); 
    Strom stromB = new Strom();                        
    Strom stromC = new Strom(200, 0);
    stromA.zobraz();
    stromB.zobraz();
    stromC.zobraz();
        
    Obdelnik obd = new Obdelnik();
    obd.nakresli();
    
    Presouvac presRychl_1 = new Presouvac(10);
    presRychl_1.presunNa(150, 200, stromC);

    Presouvac presRychl_5 = new Presouvac(5);
    presRychl_5.presunO(200, 0, stromB);
    presRychl_5.presunO(-100, -100, stromA);
    presRychl_5.presunNa(200, 200, obd);
  }  
}
