/**
 * rodičovská třída
 */
public class OsobaNaZCU implements IOslovitelny, IEvidovatelny {
  protected final String jmeno;
  private final String osobniCislo;
  
  public OsobaNaZCU(String jmeno, String osobniCislo) {
    this.jmeno = jmeno;
    this.osobniCislo = osobniCislo;
  }
  
  @Override   // z Object
  public String toString() {
    String jmenoTridy = this.getClass().getSimpleName();
    return jmenoTridy + ": " + jmeno + ", ID=" + osobniCislo;
  }

  @Override  // z IOslovitelny
  public String getJmeno() {
    return jmeno;
  }

  @Override  // z IEvidovatelny
  public String getID() {
    return osobniCislo;
  }
  
}

