import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class TestOsobynaZCU {

//== PŘÍPRAVA A ÚKLID PŘÍPRAVKU ===============================

  /************************************************************
   * Inicializace předcházející spuštění každého testu a připravující tzv.
   * přípravek (fixture), což je sada objektu, s nimiž budou testy pracovat.
   */
  @Before
  public void setUp() {
      // nepouzita
  }


  /************************************************************
   * Úklid po testu - tato metoda se spustí po vykonání každého testu.
   */
  @After
  public void tearDown() {
      // nepouzita
  }

  @Test
  public void testKonstruktoru() {
    OsobaNaZCU os1 = new OsobaNaZCU("Moudrý", "10321");
    assertEquals("Chybné jméno: ", "Moudrý", os1.getJmeno());
    assertEquals("Chybné ID: ", "10321", os1.getID());

    OsobaNaZCU os2 = new OsobaNaZCU("Pilná", "A10B9999P");
    assertEquals("Chybné jméno: ", "Pilná", os2.getJmeno());
    assertEquals("Chybné ID: ", "A10B9999P", os2.getID());
  }

  @Test
  public void testToString() {
    OsobaNaZCU os = new OsobaNaZCU("Moudrý", "10321");
    assertEquals("Chybná informace: ", "OsobaNaZCU: Moudrý, ID=10321", os.toString());
  }

  @Test
  public void testIOslovitelny() {
    IOslovitelny os = new OsobaNaZCU("Moudrý", "10321");
    assertEquals("Chybné jméno: ", "Moudrý", os.getJmeno());
  }
  
  @Test
  public void testIEvidovatelny() {
    IEvidovatelny os = new OsobaNaZCU("Moudrý", "10321");
    assertEquals("Chybné ID: ", "10321", os.getID());
  }
}
