import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class TestStudent {

//== PŘÍPRAVA A ÚKLID PŘÍPRAVKU ===============================

  /************************************************************
   * Inicializace předcházející spuštění každého testu a připravující tzv.
   * přípravek (fixture), což je sada objektu, s nimiž budou testy pracovat.
   */
  @Before
  public void setUp() {
      // nepouzita
  }


  /************************************************************
   * Úklid po testu - tato metoda se spustí po vykonání každého testu.
   */
  @After
  public void tearDown() {
      // nepouzita
  }

  @Test
  public void testToString() {
    OsobaNaZCU os = new Student("Pilná", "A10B9999P", Fakulty.FAV);
    assertEquals("Chybná informace: ", "Student: Pilná, ID=A10B9999P, fakulta=FAV", os.toString());
  }

  @Test
  public void testIOslovitelny() {
    IOslovitelny os = new Student("Pilná", "A10B9999P", Fakulty.FAV);
    assertEquals("Chybné jméno: ", "Pilná", os.getJmeno());
  }
  
  @Test
  public void testIEvidovatelny() {
    IEvidovatelny os = new Student("Pilná", "A10B9999P", Fakulty.FAV);
    assertEquals("Chybné ID: ", "A10B9999P", os.getID());
  }
  
  @Test
  public void testFakulty() {
    Student os = new Student("Pilná", "A10B9999P", Fakulty.FAV);
    assertEquals("Chybná fakulta: ", "FAV", os.getFakulta().toString());
  }
  
}
