public class Zamestnanec extends OsobaNaZCU implements IPlaceny {
  private int plat;
  
  public Zamestnanec(String jmeno, String osobniCislo, int plat) {
    super(jmeno, osobniCislo);
    setPlat(plat);
  }
  
  public void setPlat(int plat) {
    if (plat >= 0) {
      this.plat = plat;
    }
    else {
      throw new IllegalArgumentException("Plat < 0"); 
    }
  }
  
  @Override   // z IPlaceny
  public int getPlat() {
    return plat;
  }
  
  @Override   // z OsobaNaZCU
  public String toString() {
    String zakladniInfo = super.toString();
//     String jmenoTridy = this.getClass().getSimpleName();
//     String zakladniInfo = jmenoTridy + ": " + jmeno + ", ID=" + getID();

    return zakladniInfo + ", plat=" + plat;
  }
}

