public class Matka
{
    private static int m_počet  = 0;
    private int m_pořadí = ++m_počet;
    private String název = "Matka_" + m_počet;

    public static void zpráva( String text )
    {
        System.out.println( text + " (M)" );
    }
   
    public Matka()
    {
        System.out.println( "\nVytvářím " + m_pořadí + 
            ". instanci třídy Matka " );
    }
    

    public Matka( String s )
    {
        System.out.println( "\nVytvářím " + m_pořadí + 
            ". instanci třídy Matka " + s );
    }
    
    public void matka() 
    {
        System.out.println( "\nMetoda matka() instance " + this +
                            "\n  Název podobjektu: " + název );
        soukromá();
        veřejná();
        System.out.println( název + ".matka - konec");
    }
    
    public void veřejná()
    {
        System.out.println("  Třída Matka, metoda veřejná(): " + 
                         "\n    Podobjekt: " + název +
                         "\n    Instance:  " + this  );
    }
    
    public void zprávy()
    {
        zpráva( "\nMatka - moje zpráva" );
        Matka .zpráva( "- Zpráva matky"  );
        Dcera .zpráva( "- Zpráva dcery"  );
        Vnučka.zpráva( "- Zpráva vnučky" );
    }

    private void soukromá()
    {
        System.out.println("  Třída Matka, metoda soukromá(): " + 
                         "\n    Podobjekt: " + název +
                         "\n    Instance:  " + this  );
    }
}

