/***************************************************************
 * Instance třídy {@code ZnačkaZákazová} představují 
 * obdélníkovou informativní značku
 *
 * @author    Pavel Herout
 * @version   2.00.000
 */
public class ZnackaInformativni extends ADopravniZnacka {
//== KONSTRUKTORY A TOVÁRNÍ METODY ============================
  /************************************************************
   * Vyytvoří dopravní značku
   * @param x x-souřadnice
   * @param y y-souřadnice
   */
  public ZnackaInformativni(int x, int y) {
    super(x, y);
  }

//== ABSTRAKTNÍ METODY ========================================
  /************************************************************
   * Vytvoří ceduli správného tvaru na požadovaném místě
   * @param x x-souřadnice
   * @param y y-souřadnice
   * @returns objekt cedule
   */
  protected IKresleny vytvorCeduli(int x, int y) {
    return new Obdelnik(x + 10, y, 80, 100, Barva.MODRA);
  }
}
