/***************************************************************
 * Instance třídy {@code ZnackaZakazova} představují 
 * kulatou zákazovou značku
 *
 * @author    Pavel Herout
 * @version   2.00.000
 */
public class ZnackaZakazova extends ADopravniZnacka {
//== KONSTRUKTORY A TOVÁRNÍ METODY ============================
  /************************************************************
   * Vyytvoří dopravní značku
   * @param x x-souřadnice
   * @param y y-souřadnice
   */
  public ZnackaZakazova(int x, int y) {
    super(x, y);
  }

//== ABSTRAKTNÍ METODY ========================================
  /************************************************************
   * Vytvoří ceduli správného tvaru na požadovaném místě
   * @param x x-souřadnice
   * @param y y-souřadnice
   * @returns objekt cedule
   */
  protected IKresleny vytvorCeduli(int x, int y) {
    return new Elipsa(x, y, 100, 100, Barva.CERVENA);
  }
}
