import java.util.*;

interface T {
  public void tiskni();  
}

class A implements T {
  public void tiskni() {
    System.out.println("A");
  }      
}

class B extends A {
  public void tiskni() {
    System.out.println("B potomek A");
  }      
}

public class TypovanaKolekcePolymorfismus {
  public static void main(String[] args) {
    ArrayList<T> ar = new ArrayList<T>();
//    ArrayList<A> ar = new ArrayList<A>();
    ar.add(new A());                    
    ar.add(new B());                    
    tisk(ar);
  }
  public static void tisk(ArrayList<? extends T> a) {
//  public static void tisk(ArrayList<? super B> a) {
    for (Iterator<? extends T> it = a.iterator(); it.hasNext(); ) {
//    for (Iterator<? super B> it = a.iterator(); it.hasNext(); ) {
      it.next().tiskni();
    }
  }
}
