package iterator;
import java.util.*;

class Hruska {
  private int cena;
  Hruska(int cena) { this.cena = cena; }
  public String toString() { return "" + cena; }
  public void tisk() { System.out.print(cena + ", "); }
}

public class IteratorZakladniPouziti {
  public static void main(String[] args) {
    ArrayList<Hruska> kosHrusek = new ArrayList<Hruska>();
    for (int i = 0;  i < 11;  i++) {
      kosHrusek.add(new Hruska(i + 20));
    }

    for (Iterator<Hruska> it = kosHrusek.iterator();  
                                         it.hasNext(); ) {
      Hruska h = it.next();
      System.out.print(h + ", ");
      System.out.print(h + ", ");
//      System.out.print(h + ", ");
    }
    System.out.println();

    Iterator<Hruska> it1 = kosHrusek.iterator();
    Iterator<Hruska> it2 = kosHrusek.iterator();
    it1.next();
    it1.next();
    while (it1.hasNext()) {
      it1.next().tisk();
      it1.remove();
    }
    while (it2.hasNext()) {
      it2.next().tisk();
    }
//    it.next();    
    System.out.println();
  }
}
