package typy;

public class OsobaEclipse {
  protected boolean muz;
  protected int vyska;
  protected double vaha;
  protected String jmeno;
  /* (non-Javadoc)
   * @see java.lang.Object#hashCode()
   */
  @Override
  public int hashCode() {
    final int prime = 31;
    int result = 1;
    result = prime * result + ((jmeno == null) ? 0 : jmeno.hashCode());
    result = prime * result + (muz ? 1231 : 1237);
    long temp;
    temp = Double.doubleToLongBits(vaha);
    result = prime * result + (int) (temp ^ (temp >>> 32));
    result = prime * result + vyska;
    return result;
  }
  /* (non-Javadoc)
   * @see java.lang.Object#equals(java.lang.Object)
   */
  @Override
  public boolean equals(Object obj) {
    if (this == obj) {
      return true;
    }
    if (obj == null) {
      return false;
    }
    if (!(obj instanceof OsobaEclipse)) {
      return false;
    }
    OsobaEclipse other = (OsobaEclipse) obj;
    if (jmeno == null) {
      if (other.jmeno != null) {
        return false;
      }
    } else if (!jmeno.equals(other.jmeno)) {
      return false;
    }
    if (muz != other.muz) {
      return false;
    }
    if (Double.doubleToLongBits(vaha) != Double.doubleToLongBits(other.vaha)) {
      return false;
    }
    if (vyska != other.vyska) {
      return false;
    }
    return true;
  }
}
