/* Soubor je ulozen v kodovani UTF-8.
 * Kontrola kódování: Příliš žluťoučký kůň úpěl ďábelské ódy. */


import org.junit.After;
import org.junit.Before;
import org.junit.Test;


import static org.junit.Assert.*;



/*******************************************************************************
 * Testovací třída {@code StromTest} slouží ke komplexnímu otestování
 * třídy {@link StromTest}.
 *
 * @author    jméno autora
 * @version   0.00.000
 */
public class StromTest
{
    //== KONSTANTNÍ ATRIBUTY TŘÍDY =============================================
    //== PROMĚNNÉ ATRIBUTY TŘÍDY ===============================================
    Strom strom1;
    Strom strom2;
    Strom strom3;
    
    //##########################################################################
    //== KONSTRUKTORY A TOVÁRNÍ METODY =========================================
    //-- Testovací třída vystačí s prázdným implicitním konstruktorem ----------
    //== PŘÍPRAVA A ÚKLID PŘÍPRAVKU ============================================

    /***************************************************************************
     * Inicializace předcházející spuštění každého testu a připravující tzv.
     * přípravek (fixture), což je sada objektů, s nimiž budou testy pracovat.
     */
    @Before
    public void setUp()
    {
      strom1 = new Strom();
      strom2 = new Strom(100, 100);
      strom3 = new Strom(200, 150, Barva.ZLUTA);
      IO.zprava("Stromy vytvořeny");
    }


    /***************************************************************************
     * Úklid po testu - tato metoda se spustí po vykonání každého testu.
     */
    @After
    public void tearDown()
    {
    }



    //== PŘÍSTUPOVÉ METODY VLASTNOSTÍ INSTANCÍ =================================
    //== OSTATNÍ NESOUKROMÉ METODY INSTANCÍ ====================================
    //== SOUKROMÉ A POMOCNÉ METODY TŘÍDY =======================================
    //== SOUKROMÉ A POMOCNÉ METODY INSTANCÍ ====================================
    //== INTERNÍ DATOVÉ TYPY ===================================================
    //== VLASTNÍ TESTY =========================================================
    //
    //     /********************************************************************
    //      *
    //      */
    //     @Test
    //     public void testXxx()
    //     {
    //     }

  @Test
  public void testZloutnuti()
  {
// assertEquals(true, strom1.isPodzim());
    assertEquals("Strom1: chyba v podzimní barvě", 
                false, strom1.isPodzim());    
    strom1.zezloutni();
    assertEquals(true, strom1.isPodzim());
    IO.zprava("změna barvy");
    strom2.postupneZezloutni();
    IO.zprava("změna barvy");
    assertEquals(true, strom3.isPodzim());
  }
  
  @Test
  public void testSouradniceX() {
    assertEquals("Chybná souřadnice: ", 75, strom2.getX());
  }
  
  private void zloutnutiJednohoStromu(Strom strom) {
    strom.zezloutni();
    assertEquals("Strom: chyba v podzimní barvě", true, strom.isPodzim());
    IO.zprava("změna barvy");
  }

  @Test
  public void testZloutnutiVsech() {
    zloutnutiJednohoStromu(strom1);
    zloutnutiJednohoStromu(strom2);
    zloutnutiJednohoStromu(strom3);
  }  

    @Test
    public void podzim()
    {
        assertEquals("Nemel to byt podzim", false, strom3.isPodzim());
    }
}



