
/***************************************************************
 * Třída {@code TestClass} je hlavní třídou projektu,
 * který testuje metodu getClass()
 *
 * @author    Pavel Herout
 * @version   1.00.000
 */
public class TestClass {
  /***********************************************************
   * Metoda, prostřednictvím níž se spouští celá aplikace.
   *
   * @param args Parametry příkazového řádku
   */
  public static void main(String[] args) {
    Prázdná pr = new Prázdná();
    System.out.println(pr.getClass().getSimpleName());
    
    Class classPrZObjektu = pr.getClass();
    Class classPrZeTřídy = Prázdná.class;
    if (classPrZObjektu.equals(classPrZeTřídy)) {
      System.out.println("Třídy " + classPrZObjektu +
                         " a " + classPrZeTřídy +
                         " jsou stejné");
    }
  }
}
