/* Soubor je ulozen v kodovani UTF-8.
 * Kontrola kódování: Příliš žluťoučký kůň úpěl ďábelské ódy. */


import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;


/*******************************************************************************
 * Testovací třída {@code StromTest} slouží ke komplexnímu otestování
 * třídy {@link StromTest}.
 *
 * @author    jméno autora
 * @version   0.00.000
 */
public class StromTest
{
    Strom zelenyStrom;
    Strom zlutyStrom;

    /***************************************************************************
     * Inicializace předcházející spuštění každého testu a připravující tzv.
     * přípravek (fixture), což je sada objektů, s nimiž budou testy pracovat.
     */
    @Before
    public void setUp()
    {
	  zelenyStrom = new Strom();
	  zlutyStrom = new Strom(150, 150, Barva.ZLUTA);
      IO.zprava("Stromy vytvořeny");
    }


    /***************************************************************************
     * Úklid po testu - tato metoda se spustí po vykonání každého testu.
     */
    @After
    public void tearDown()
    {
    }


  /***************************************************************************
   * Prohodí pozice zadaných stromů a nechá zkontrolovat,
   * zda si stromy své pozice doopravdy vyměnily.
   * První strom je nutné nechat na konci překreslit,
   * protože druhý strom jej při přesunu vymaže.
   *
   * @param strom1 první strom
   * @param strom2 druhý strom
   */
  private void pomProhodPozice(Strom strom1, Strom strom2) {
    Pozice p1 = strom1.getPozice();
    strom1.setPozice(strom2.getPozice());
    strom2.setPozice(p1);
    strom1.nakresli();
  }

  @Test
  public void testProhodPozice() {
    pomProhodPozice(zelenyStrom, zlutyStrom);
  }
}
