import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class TestZamestnanec {

//== PŘÍPRAVA A ÚKLID PŘÍPRAVKU ===============================

  /************************************************************
   * Inicializace předcházející spuštění každého testu a připravující tzv.
   * přípravek (fixture), což je sada objektu, s nimiž budou testy pracovat.
   */
  @Before
  public void setUp() {
      // nepouzita
  }


  /************************************************************
   * Úklid po testu - tato metoda se spustí po vykonání každého testu.
   */
  @After
  public void tearDown() {
      // nepouzita
  }


  @Test
  public void testToString() {
    OsobaNaZCU os = new Zamestnanec("Moudrý", "10321", 20000);
    assertEquals("Chybná informace: ", "Zamestnanec: Moudrý, ID=10321, plat=20000", os.toString());
  }

  @Test
  public void testChybnyPlat() {
    IPlaceny os = new Zamestnanec("Moudrý", "10321", -100);
    assertEquals("Chybný plat: ", -100, os.getPlat());
  }

  @Test
  public void testZmenaPlatu() {
    Zamestnanec os = new Zamestnanec("Moudrý", "10321", 20000);
    os.setPlat(30000);
    assertEquals("Chybný plat: ", 30000, os.getPlat());
  }

  @Test
  public void testIPlaceny() {
    IPlaceny os = new Zamestnanec("Moudrý", "10321", 20000);
    assertEquals("Chybný plat: ", 20000, os.getPlat());
  }
  
  @Test
  public void testIOslovitelny() {
    IOslovitelny os = new Zamestnanec("Moudrý", "10321", 20000);
    assertEquals("Chybné jméno: ", "Moudrý", os.getJmeno());
  }
  
  @Test
  public void testIEvidovatelny() {
    IEvidovatelny os = new Zamestnanec("Moudrý", "10321", 20000);
    assertEquals("Chybné ID: ", "10321", os.getID());
  }
}
