package absolutni;
import java.util.Comparator;
import java.util.HashSet;
import java.util.Set;
import java.util.TreeSet;

class Pocitadlo {
  public static int e = 0;  
  public static int h = 0;  
  public static int c = 0;  
}

class Hruska {
  private int cena;

  Hruska(int cena) { this.cena = cena; }
  
  public int getCena() { return cena; }

  public String toString() { return "" + cena; }
}

final class Porovnavac implements Comparator<Hruska> {
  public int compare(Hruska h1, Hruska h2) {
    Pocitadlo.c++;  
    System.out.print("" + Pocitadlo.c + "c ");

    return h1.getCena() - h2.getCena();
  }
}

public class HruskyComparator {
  
  public static final Comparator<Hruska> PODLE_CENY = 
                             new Comparator<Hruska>() {
    public int compare(Hruska h1, Hruska h2) {
      Pocitadlo.c++;  
      System.out.print("" + Pocitadlo.c + "c ");
      
      if (h1.getCena() > h2.getCena())
        return (+1);
      else if (h1.getCena() == h2.getCena())
        return (0);
      else
        return (-1);
    }
  };
  
  static void praceSHruskami(Set<Hruska> mnozina) {
    System.out.println("\n" + mnozina.getClass().getSimpleName());
    for (int i = 30;  i < 40;  i++) {
      mnozina.add(new Hruska(i));
    }
    mnozina.add(new Hruska(35));

    System.out.print("\npocet: " + mnozina.size() + " [");
    for (Hruska h: mnozina) {
      System.out.print(h + ", ");
    }
    System.out.println("]");
  }

  public static void main(String[] args) {
//    praceSHruskami(new TreeSet<Hruska>());
    praceSHruskami(new TreeSet<Hruska>(PODLE_CENY));
//    praceSHruskami(new TreeSet<Hruska>(new Porovnavac()));
    System.out.println("e=" + Pocitadlo.e + ", h=" + Pocitadlo.h 
        + ", c=" + Pocitadlo.c);
    
//    praceSHruskami(new HashSet<Hruska>());
  }
}
