abstract public class AHost {
  private String jidlo;
  private int utrata;
  
  public AHost() {
    this.utrata = 0;
  }
  
  public AHost objednavaJidlo(String jidlo, int cena) {
    this.jidlo = jidlo;
    this.utrata += cena;
    return this;
  }
  
  public String getJidlo() {
    return jidlo;
  }

  public int getUtrata() {
    return utrata;
  }
  
  abstract public void konzumuje();

  abstract public int plati();

  public String kdoJsem() {
    return this.getClass().getSimpleName();
  }
  
  @Override
  public String toString() {
    return kdoJsem() + " ji " + jidlo + " ";
  }
}
